Subject: bug#19989: 25.0.50; Build instructions on Windows

From: Ilya Zakharevich <[email-masked]>
Date: Tue, 3 Mar 2015 13:15:25 -0800

On Tue, Mar 03, 2015 at 07:00:09PM +0200, Eli Zaretskii wrote:
> > Date: Tue, 3 Mar 2015 08:34:53 -0800
> > From: Ilya Zakharevich <[email-masked]>
> > 
> > =======================================================
> > 
> > I needed the following changes to build Emacs (when following the
> > instructions in nt/INSTALL):
> >   • mingw-get:
> > 	actually, mingw32-base is not installed by default;
> >         I needed to install it by manually marking it in mingw-get.
> >   • mingw shell sets path to (essentially) FOO/msys/1.0/mingw/bin (here FOO
> >         is the install path), but there is no directory
> >           FOO/msys/1.0/mingw
> >         what is is
> >           FOO/bin
> >     So I needed to make a symbolic link (Windows style required) by
> >     running
> >         mklink /j mingw FOO
> >     in FOO/msys/1.0
> 
> Thanks.
> 
> I suggest to post this to the MinGW mailing list
> <[email-masked]> first, as what you describe sounds
> like MinGW issues not directly related to building Emacs.  If they say
> that this is "as designed", then we will see about adding something to
> nt/INSTALL to work around this.

I tried.  They require registration (and I exhaused my abilities to
register already more than a decade ago).  If somebody is a member, can
you forward this?

Thanks,
Ilya